Subject: Re: bug#55870: GNU Emacs 26.3, Select All(C-x h) does not work

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Jul 2022 10:51:55 +0300

> From: Po Lu <[email-masked]>
> Cc: Bruce <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 17 Jul 2022 15:27:12 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Maybe this is the reason.  Po Lu, what data-type do we use on X to put
> > data into the clipboard when the user presses M-w?
> 
> None in particular: we store the clipboard data locally, and other
> programs request different selection "targets" from Emacs depending on
> the coding system they want it in.

So the memory growth in the OP's scenario is due to something we do
locally?  Where's the code which "stores the clipboard data locally"?

Or maybe some external program does request the clipboard data on OP's
machine?  Is there a way to know when that happens, and specifically
to know which data-type is being requested?